MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/decoder_internal.h File Reference

`#include "decoder_command.h"`
`#include "pcm_convert.h"`
`#include "replay_gain_info.h"`

Go to the source code of this file.

## Data Structures
struct | decoder
## Functions
struct music_chunk * | decoder_get_chunk (struct decoder *decoder, struct input_stream *is)
| Returns the current chunk the decoder writes to, or allocates a new chunk if there is none.
void | decoder_flush_chunk (struct decoder *decoder)
| Flushes the current chunk.

## Function Documentation

void decoder_flush_chunk | ( | struct decoder * | decoder | ) |

Flushes the current chunk.

struct music_chunk* decoder_get_chunk | ( | struct decoder * | decoder,
|  | struct input_stream * | is
| ) |  | `[read]`

Returns the current chunk the decoder writes to, or allocates a new chunk if there is none.

Returns:
  the chunk, or NULL if we have received a decoder command